class Params

  API_LOGIN = 'apiLogin'
  API_TRANSKEY = 'apiTransKey'
  PROVIDER_ID = 'providerId'
  TRANSACTION_ID = 'transactionId'
  PROD_ID = 'prodId'


  def initialize()
    @data = Hash.new
  end

  def get_params()
    @data
  end

  def with(name, value)
    @data[name] = value
    return self
  end



  def with_apiLogin(apiLogin)
    return self.with(Params::API_LOGIN, apiLogin)
  end

  def with_apiTransKey(apiTransKey)
    return self.with(Params::API_TRANSKEY, apiTransKey)
  end

  def with_providerId(providerId)
    return self.with(Params::PROVIDER_ID, providerId)
  end

  def with_transactionId(transactionId)
    return self.with(Params::TRANSACTION_ID, transactionId)
  end

  def with_prodId(prodId)
    return self.with(Params::PROD_ID, prodId)
  end


end